package com.mdp.voice;

import java.net.ServerSocket;
import java.net.Socket;

public class AudioWait extends Thread {

    private ServerSocket ss;
    private int iPort = 0;
    private Socket socket;
    private Globals globals;

    public AudioWait(Globals globals) {
        iPort = Globals.getVOICE_PORT();
        this.globals = globals;

    }

    public void run() {
        try {
            while (true) {
                ss = new ServerSocket(iPort);
                socket = ss.accept();

                Util.logger("Incoming Audio connection from: "
                        + socket.getInetAddress().getHostAddress() + " "
                        + socket.getLocalPort());

                String strAddress = socket.getInetAddress().getHostAddress();
                socket.close();

                Status sc = new Status();
                sc.showIt(globals);
                globals.setStatusScreen(sc);
                System.out.println(globals.getStatusScreen());
                AudioReceiver ar = new AudioReceiver(globals);
                ar.setIP(strAddress);
                ar.setPort(iPort);
                ar.start();
            }
        } catch (Exception e) {
        }
    }
}
